
* Cluster Analysis .
 
* Read HBAT File .


CLUSTER  x6 x8 x12 x15 x18
  /METHOD WARD
  /MEASURE= SEUCLID
  /PRINT SCHEDULE
  /PLOT VICICLE.


* Delete two cases designasted as outliers -- 6 and 87 .

SELECT IF ((ID NE 6) AND (ID NE 87) ) .
EXECUTE .

* Cluster analysis of 98 remaining cases .

CLUSTER  x6 x8 x12 x15 x18
  /METHOD WARD
  /MEASURE= SEUCLID
  /PRINT SCHEDULE
  /PLOT VICICLE
  /SAVE CLUSTER(4) .


* COMPUTE MEAN-CENTERED VARIABLES FOR PROFILING .

COMPUTE X6C=x6 - 7.81. 
COMPUTE X8C=x8-5.37. 
COMPUTE X12C=x12-5.12. 
COMPUTE X15C=x15-5.15. 
COMPUTE X18C=x18-3.89. 
EXECUTE.


MEANS
  TABLES=x6c x8c x12c x15c x18c  BY CLU4_1
  /CELLS MEAN COUNT   .




QUICK CLUSTER
  x6 x8 x12 x15 x18
  /MISSING=LISTWISE
  /CRITERIA= CLUSTER(4) MXITER(100) CONVERGE(0)
  /METHOD=KMEANS(NOUPDATE)
  /SAVE CLUSTER
  /PRINT INITIAL ANOVA.


MEANS
  TABLES=x6c x8c x12c x15c x18c  BY QCL_1
  /CELLS MEAN COUNT   .


MEANS
  TABLES=x19 x20 x21 x22  BY QCL_1
  /CELLS MEAN COUNT
  /STATISTICS ANOVA .


CROS TAB = X1, X2, X3, X4, X5 BY QCL_1 .


* THREE CLUSTER SOLUTION .

QUICK CLUSTER
  x6 x8 x12 x15 x18
  /MISSING=LISTWISE
  /CRITERIA= CLUSTER(3) MXITER(100) CONVERGE(0)
  /METHOD=KMEANS(NOUPDATE)
  /SAVE CLUSTER
  /PRINT INITIAL ANOVA.


MEANS
  TABLES=x6c x8c x12c x15c x18c  BY QCL_2
  /CELLS MEAN COUNT   .


CROS TAB = X1, X2, X3, X4, X5 BY QCL_2 .

