
GET FILE = 'HBAT.SAV' .

* Merge 60/40 split variable from file HBAT_SPLITS .

MATCH FILES FILE = *
  /TABLE = 'HBAT_SPLITS.SAV'
  /BY ID .
SORT CASES BY SPLIT50 (A) .
EXECUTE .

TITLE 'LOGISTIC REGRESSION' .

LOGISTIC REGRESSION VAR=x4
  /SELECT split60 EQ 0
  /METHOD=FSTEP(WALD) x6 x7 x8 x9 x10 x11 x12 x13 x14 x15 x16 x17 x18
  /SAVE PRED PGROUP COOK LEVER DFBETA RESID LRESID SRESID ZRESID
  /CLASSPLOT /CASEWISE OUTLIER(2)
  /PRINT=GOODFIT CORR ITER(1) CI(95)
  /CRITERIA PIN(.05) POUT(.10) ITERATE(100) CUT(.5) .

