
* USE HBAT_200 AS DATA SET .
 
GET FILE = 'HBAT_200.SAV' .

TITLE 'MANOVA: X5 -- SINGLE FACTOR 2 LEVEL' .
GLM
  x19 x20 x21  BY x5
  /METHOD = SSTYPE(3)
  /INTERCEPT = INCLUDE
  /PLOT = PROFILE( x5 )
  /PRINT = DESCRIPTIVE ETASQ OPOWER HOMOGENEITY RSSCP
  /CRITERIA = ALPHA(.05)
  /DESIGN = x5 .

TITLE 'MANOVA: X1 -- SINGLE FACTOR 3 LEVEL' .

GLM
  x19 x20 x21  BY x1
  /METHOD = SSTYPE(3)
  /INTERCEPT = INCLUDE
  /POSTHOC = x1 ( TUKEY SCHEFFE LSD )
  /PLOT = PROFILE( x1 )
  /PRINT = DESCRIPTIVE ETASQ OPOWER HOMOGENEITY RSSCP
  /CRITERIA = ALPHA(.05)
  /DESIGN = x1 .

TITLE 'MANOVA: X1 BY X5 -- TWO FACTORS (3 X 2)' .

GLM
  x19 x20 x21  BY x1 x5
  /METHOD = SSTYPE(3)
  /INTERCEPT = INCLUDE
  /POSTHOC = x1 x5 ( TUKEY SCHEFFE LSD )
  /PLOT = PROFILE( x1 x5 x1*x5 )
  /PRINT = DESCRIPTIVE ETASQ OPOWER HOMOGENEITY RSSCP
  /CRITERIA = ALPHA(.05)
  /DESIGN = x1 x5 x1*x5 .

